Description: Python 3.11: getargspec is removed.
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1025020
Forwarded: no
Last-Update: 2022-12-12

--- python-azure-devtools-1.2.0.orig/src/azure_devtools/scenario_tests/utilities.py
+++ python-azure-devtools-1.2.0/src/azure_devtools/scenario_tests/utilities.py
@@ -70,7 +70,7 @@ def trim_kwargs_from_test_function(fn, k
     # the next function is the actual test function. the kwargs need to be trimmed so
     # that parameters which are not required will not be passed to it.
     if not is_preparer_func(fn):
-        args, _, kw, _ = inspect.getargspec(fn)  # pylint: disable=deprecated-method
+        args, _, kw, _ = inspect.getfullargspec(fn)  # pylint: disable=deprecated-method
         if kw is None:
             args = set(args)
             for key in [k for k in kwargs if k not in args]:
